> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/bettor-sense/bettor-sense-api/endpoints.md).

# Endpoints

## Retrieve Player’s Risk Profile

> Fetches Risk Profile for a specific account ID under a given bookmaker and sub-bookmaker.

```json
{"openapi":"3.0.4","info":{"title":"Endpoints","version":"v1"},"tags":[{"name":"Endpoints"}],"servers":[{"url":"https://api.insighttechservices.sportradar.com/api/rg","description":"Production [production]"},{"url":"https://api.nonprod.insighttech.ai/ci/api/rg","description":"Client Integration [staging]"}],"paths":{"/v1/Operator/PlayerRiskProfile/bookmakers/{bookmakerId}/sub-bookmakers/{subBookmakerId}/accountid/{accountId}":{"get":{"tags":["Endpoints"],"summary":"Retrieve Player’s Risk Profile","description":"Fetches Risk Profile for a specific account ID under a given bookmaker and sub-bookmaker.","operationId":"GetPlayerRiskProfile","parameters":[{"name":"bookmakerId","in":"path","description":"Identifier for the bookmaker. Generated by Sportradar, contact your account\nmanager or CI engineer in case of any issues with obtaining the correct value.","required":true,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}},{"name":"subBookmakerId","in":"path","description":"Identifier for the sub-bookmaker. Generated by Sportradar, contact your\naccount manager or CI engineer in case of any issues with obtaining the correct value.","required":true,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}},{"name":"accountId","in":"path","description":"Account ID for which to retrieve data. Account ID should belong to the\nspecified bookmaker and sub-bookmaker.","required":true,"schema":{"maxLength":64,"minLength":1,"type":"string","format":"plain-text"}}],"responses":{"200":{"description":"Player risk profile retrieved","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PlayerRiskProfileDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/PlayerRiskProfileDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/PlayerRiskProfileDto"}}}},"404":{"description":"Player not found"},"452":{"description":"Player profile not created","content":{"text/plain":{"schema":{"maxLength":256,"type":"string","format":"plain-text"}},"application/json":{"schema":{"maxLength":256,"type":"string","format":"plain-text"}},"text/json":{"schema":{"maxLength":256,"type":"string","format":"plain-text"}}}},"453":{"description":"Player profile is inactive","content":{"text/plain":{"schema":{"maxLength":256,"type":"string","format":"plain-text"}},"application/json":{"schema":{"maxLength":256,"type":"string","format":"plain-text"}},"text/json":{"schema":{"maxLength":256,"type":"string","format":"plain-text"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"PlayerRiskProfileDto":{"type":"object","properties":{"playerId":{"type":"string","format":"plain-text","nullable":true},"lastUpdatedDateTime":{"type":"string","format":"date-time","nullable":true},"riskScore":{"maximum":100,"minimum":0,"type":"number","format":"double","nullable":true},"riskCategory":{"maximum":5,"minimum":0,"type":"integer","format":"int32","nullable":true},"percentile":{"maximum":100,"minimum":0,"type":"number","format":"double"},"categoryScores":{"maxItems":9,"type":"array","items":{"$ref":"#/components/schemas/CategoryScoreDto"},"nullable":true}},"additionalProperties":false},"CategoryScoreDto":{"type":"object","properties":{"key":{"$ref":"#/components/schemas/CategoryGroup"},"score":{"type":"number","format":"double"},"name":{"type":"string","format":"plain-text","nullable":true,"readOnly":true}},"additionalProperties":false},"CategoryGroup":{"maximum":8,"minimum":0,"enum":[0,1,2,3,4,5,6,7,8],"type":"integer","description":"Enum values:\n0 = UNKNOWN,\n1 = BETTING_BEHAVIOUR,\n2 = DEPOSITING_BEHAVIOUR,\n3 = LOSSES,\n4 = TIME,\n5 = SPEED_OF_PLAY,\n6 = WITHDRAWAL_RELATED_BEHAVIOUR,\n7 = GAMING_ACTIVITY,\n8 = RG_ACTIVITY","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","format":"plain-text","nullable":true},"title":{"maxLength":200,"type":"string","format":"plain-text","nullable":true},"status":{"maximum":599,"minimum":100,"type":"integer","format":"int32","nullable":true},"detail":{"maxLength":1000,"type":"string","format":"plain-text","nullable":true},"instance":{"type":"string","format":"plain-text","nullable":true}},"additionalProperties":{}}}}}
```

## Retrieve All Players' Risk Profiles

> Retrieve the latest risk scores for player IDs associated with a specific bookmaker and sub-bookmaker ID.\
> The results will be paginated, with a maximum of 1,000 players per page. The response can be limited to only\
> players with risk score changes on or after the provided date.

```json
{"openapi":"3.0.4","info":{"title":"Endpoints","version":"v1"},"tags":[{"name":"Endpoints"}],"servers":[{"url":"https://api.insighttechservices.sportradar.com/api/rg","description":"Production [production]"},{"url":"https://api.nonprod.insighttech.ai/ci/api/rg","description":"Client Integration [staging]"}],"paths":{"/v1/Operator/RiskProfiles/bookmakers/{bookmakerId}/sub-bookmakers/{subBookmakerId}":{"get":{"tags":["Endpoints"],"summary":"Retrieve All Players' Risk Profiles","description":"Retrieve the latest risk scores for player IDs associated with a specific bookmaker and sub-bookmaker ID.\nThe results will be paginated, with a maximum of 1,000 players per page. The response can be limited to only\nplayers with risk score changes on or after the provided date.","operationId":"GetRiskProfiles","parameters":[{"name":"bookmakerId","in":"path","description":"Identifier for the bookmaker. Generated by Sportradar, contact your account\nmanager or CI engineer in case of any issues with obtaining the correct value.","required":true,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}},{"name":"subBookmakerId","in":"path","description":"Identifier for the sub-bookmaker. Generated by Sportradar, contact your\naccount manager or CI engineer in case of any issues with obtaining the correct value.","required":true,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}},{"name":"page","in":"query","description":"The page number to retrieve. Starts at 1. Defaults to 1.","schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"fromDateTime","in":"query","description":"Optional. Filters results to include only records on and after the specified date and time. Data is available for\nup to 30 days prior to the current date.\n\nFormat: ISO 8601 (e.g., YYYY-MM-DD or YYYY-MM-DDTHH:mm:ssZ)\nExamples:\nDate only: 2024-12-24\nDate + time: 2024-12-24T14:30:00Z (UTC)\nDate + time + offset: 2024-12-24T14:30:00+02:00","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PlayerProfilesPagedList"}},"application/json":{"schema":{"$ref":"#/components/schemas/PlayerProfilesPagedList"}},"text/json":{"schema":{"$ref":"#/components/schemas/PlayerProfilesPagedList"}}}},"400":{"description":"Invalid page parameter","content":{"text/plain":{"schema":{"maxLength":256,"type":"string","format":"plain-text"}},"application/json":{"schema":{"maxLength":256,"type":"string","format":"plain-text"}},"text/json":{"schema":{"maxLength":256,"type":"string","format":"plain-text"}}}},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"PlayerProfilesPagedList":{"type":"object","properties":{"items":{"maxItems":1000,"type":"array","items":{"$ref":"#/components/schemas/PlayerProfilesDto"},"nullable":true},"page":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"pageSize":{"maximum":1000,"minimum":1,"type":"integer","format":"int32"},"totalCount":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"},"hasPreviousPage":{"type":"boolean","readOnly":true},"hasNextPage":{"type":"boolean","readOnly":true}},"additionalProperties":false},"PlayerProfilesDto":{"type":"object","properties":{"playerId":{"type":"string","format":"plain-text","nullable":true},"lastUpdatedDateTime":{"type":"string","format":"date-time","nullable":true},"riskScore":{"type":"number","format":"double","nullable":true},"riskCategory":{"maximum":5,"minimum":0,"type":"integer","format":"int32","nullable":true},"percentile":{"type":"number","format":"double"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","format":"plain-text","nullable":true},"title":{"maxLength":200,"type":"string","format":"plain-text","nullable":true},"status":{"maximum":599,"minimum":100,"type":"integer","format":"int32","nullable":true},"detail":{"maxLength":1000,"type":"string","format":"plain-text","nullable":true},"instance":{"type":"string","format":"plain-text","nullable":true}},"additionalProperties":{}}}}}
```

## Send Intervention Feedback

> Send the intervention method used for the player associated with a specific bookmaker and sub-bookmaker ID along\
> with the intervention dateTime.

```json
{"openapi":"3.0.4","info":{"title":"Endpoints","version":"v1"},"tags":[{"name":"Endpoints"}],"servers":[{"url":"https://api.insighttechservices.sportradar.com/api/rg","description":"Production [production]"},{"url":"https://api.nonprod.insighttech.ai/ci/api/rg","description":"Client Integration [staging]"}],"paths":{"/v1/Operator/PlayerFeedback/bookmakers/{bookmakerId}/sub-bookmakers/{subBookmakerId}":{"post":{"tags":["Endpoints"],"summary":"Send Intervention Feedback","description":"Send the intervention method used for the player associated with a specific bookmaker and sub-bookmaker ID along\nwith the intervention dateTime.","operationId":"PostPlayerFeedback","parameters":[{"name":"bookmakerId","in":"path","description":"Identifier for the bookmaker. Generated by Sportradar, contact your account\nmanager or CI engineer in case of any issues with obtaining the correct value.","required":true,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}},{"name":"subBookmakerId","in":"path","description":"Identifier for the sub-bookmaker. Generated by Sportradar, contact your\naccount manager or CI engineer in case of any issues with obtaining the correct value.","required":true,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}},{"name":"PlayerId","in":"query","description":"Account ID of the player","required":true,"schema":{"maxLength":64,"minLength":1,"type":"string","format":"plain-text"}},{"name":"InterventionMethod","in":"query","description":"Enum values:\n1 = DISPLAY_POP_UP,\n2 = DISPLAY_RG_MESSAGING,\n3 = EMAIL_PLAYER,\n4 = DISPLAY_LIMITS_UPDATE,\n5 = CARE_CALL,\n6 = OTHER","required":true,"schema":{"$ref":"#/components/schemas/InterventionMethod"}},{"name":"InterventionDateTime","in":"query","description":"Timestamp when the intervention occurred. Format: ISO 8601 (e.g., YYYY-MM-DD or YYYY-MM-DDTHH:mm:ssZ","required":true,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"maxLength":256,"type":"string","format":"plain-text"}},"application/json":{"schema":{"maxLength":256,"type":"string","format":"plain-text"}},"text/json":{"schema":{"maxLength":256,"type":"string","format":"plain-text"}}}},"409":{"description":"Conflict","content":{"text/plain":{"schema":{"maxLength":256,"type":"string","format":"plain-text"}},"application/json":{"schema":{"maxLength":256,"type":"string","format":"plain-text"}},"text/json":{"schema":{"maxLength":256,"type":"string","format":"plain-text"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"InterventionMethod":{"maximum":6,"minimum":1,"enum":[1,2,3,4,5,6],"type":"integer","description":"Enum values:\n1 = DISPLAY_POP_UP,\n2 = DISPLAY_RG_MESSAGING,\n3 = EMAIL_PLAYER,\n4 = DISPLAY_LIMITS_UPDATE,\n5 = CARE_CALL,\n6 = OTHER","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","format":"plain-text","nullable":true},"title":{"maxLength":200,"type":"string","format":"plain-text","nullable":true},"status":{"maximum":599,"minimum":100,"type":"integer","format":"int32","nullable":true},"detail":{"maxLength":1000,"type":"string","format":"plain-text","nullable":true},"instance":{"type":"string","format":"plain-text","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/bettor-sense/bettor-sense-api/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
